If you need to update Conflict Detector for Magento 2 by Magefan, please follow the steps below. Note that the update instructions depend on the method conflict detector extension was installed with.

Update using composer

If the conflict detector module was installed via the composer, then you need to run these simple CLI commands in Magento 2 directory:

composer remove magefan/module-conflict-detector
composer require magefan/module-conflict-detector ^x.x.x
# replace x.x.x with the version you want to use
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy

 Update using FTP

If the conflict detector module was installed via FTP, then follow these commands:

1. Download the latest version of the conflict detector extension archive from magefan.com.

2. Extract archive.

3. Using FTP, copy app folder from the archive to your Magento 2 Directory. During the upload please replace all existing files.

Update Magento 2 extension via FTP

4. Run update CLI commands in Magento 2 directory:

php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy